<?php

/**
 * @file
 * Model type editing UI.
 */

/**
 * UI controller.
 */
class RoomsUIController extends EntityDefaultUIController {

  /**
   * Overrides hook_menu() defaults.
   */
  public function hook_menu() {
    $items = parent::hook_menu();
	$items[$this->path]['description'] = t('Manage rooms. including adding
		and removing fields and the display of fields.');
    return $items;
  }
}

/**
 * Generates the room editing form.
 */
function room_form($form, &$form_state, $room, $op = 'edit') {

  if ($op == 'clone') {
    $room->sys_name .= ' (cloned)';
    $room->room_number = '';
  }

  $form['room_number'] = array(
    '#title' => t('Room Number'),
    '#type' => 'textfield',
    '#default_value' => isset($room->room_number)?$room->room_number : "",
    '#description' => t('Entry the Room number.'),
    '#required' => TRUE,
    '#size' => 30,
  );

  // Machine-readable type name.
  $form['sys_name'] = array(
    '#type' => 'machine_name',
    '#default_value' => isset($room->sys_name) ? $room->sys_name : '',
    '#maxlength' => 32,
    '#machine_name' => array(
      'exists' => 'room_get_sys_names',
      'source' => array('label'),
    ),
    '#description' => t('A unique machine-readable name for this model type. It must only contain lowercase letters, numbers, and underscores.'),
  );

  $form['type'] = array(
      '#title' => t('Room Type'),
      '#type' => 'textfield',
      '#default_value' => isset($room->type) ? $room->type : "",
      '#description' => t('Entry the Room type.'),
      '#required' => TRUE,
      '#size' => 60,
  );


  $form['actions'] = array('#type' => 'actions');
  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save Room'),
    '#weight' => 40,
  );

  return $form;
}

/**
 * Form API submit callback for the type form.
 */
function room_form_submit(&$form, &$form_state) {
  $room = entity_ui_form_submit_build_entity($form, $form_state);
  $room->save();
  $form_state['redirect'] = 'admin/structure/rooms';
}


